TCATEST(3)

NAME
tcamgr - the command line utility of the abstract database API

DESCRIPTION

The command `tcamgr' is a utility for test and debugging of the abstract database API and its applications. `name' specifies the name of a database. `key' specifies the key of a record. `value' specifies the value of a record. `params' specifies the tuning parameters. `func' specifies the name of a function. `arg' specifies the arguments of the function. `dest' specifies the path of the destination file.

    tcamgr create name
        Create a database file.
    tcamgr inform name
        Print miscellaneous information to the standard output.
    tcamgr put [-sx] [-sep chr] [-dk|-dc|-dai|-dad] name key value
        Store a record.
    tcamgr out [-sx] [-sep chr] name key
        Remove a record.
    tcamgr get [-sx] [-sep chr] [-px] [-pz] name key
        Print the value of a record.
    tcamgr list [-sep chr] [-m num] [-pv] [-px] [-fm str] name
        Print keys of all records, separated by line feeds.
    tcamgr optimize name params
        Optimize a database file.
    tcamgr misc [-sx] [-sep chr] [-px] name func [arg...]
        Call a versatile function for miscellaneous operations.
    tcamgr map [-fm str] name dest
        Map records into another B+ tree database.
    tcamgr version
        Print the version information of Tokyo Cabinet.

Options feature the following.

    -sx : the input data is evaluated as a hexadecimal data string.
    -sep chr : specify the separator of the input data.
    -dk : use the function `tcadbputkeep' instead of `tcadbput'.
    -dc : use the function `tcadbputcat' instead of `tcadbput'.
    -dai : use the function `tcadbaddint' instead of `tcadbput'.
    -dad : use the function `tcadbadddouble' instead of `tcadbput'.
    -px : the output data is converted into a hexadecimal data string.
    -pz : do not append line feed at the end of the output.
    -m num : specify the maximum number of the output.
    -pv : print values of records also.
    -fm str : specify the prefix of keys.

This command returns 0 on success, another on failure.

SEE ALSO

tcatest(1), tcamttest(1), tcadb(3), tokyocabinet(3)